curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/video-streaming \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"customSlateUrl": null,
"viewerCountDisplayMode": "always",
"viewerCountDisplayMinimum": 50,
"moderation": {
"enabled": true,
"categories": [
{
"flagThreshold": 0.5,
"terminateThreshold": 0.5
}
]
}
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/video-streaming"
payload = {
"enabled": True,
"customSlateUrl": None,
"viewerCountDisplayMode": "always",
"viewerCountDisplayMinimum": 50,
"moderation": {
"enabled": True,
"categories": [
{
"flagThreshold": 0.5,
"terminateThreshold": 0.5
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
customSlateUrl: null,
viewerCountDisplayMode: 'always',
viewerCountDisplayMinimum: 50,
moderation: {enabled: true, categories: [{flagThreshold: 0.5, terminateThreshold: 0.5}]}
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/video-streaming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"customSlateUrl": null,
"viewerCountDisplayMode": "always",
"viewerCountDisplayMinimum": 50,
"moderation": {
"enabled": true,
"categories": [
{
"category": "pornography",
"flagThreshold": 0.5,
"terminateThreshold": 0.5
}
]
}
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Parameters error.",
"data": {
"detail": [
"The 'data.text' field length must be less than or equal to 20000 characters long."
]
}
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Update video streaming setting check configuration.
Update video streaming setting check configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
information for a network setting
This field is for enabling or disabling the video streaming feature.
URL of the custom slate image shown while a stream is not live. null clears it and falls back to the default slate.
Client directive for showing the live viewer count. always shows it, hidden never shows it, above-minimum shows it only when the viewer count reaches viewerCountDisplayMinimum. Not enforced by the backend.
always, hidden, above-minimum Inclusive threshold used with viewerCountDisplayMode: above-minimum; clients display the count when viewers >= this value.
1 <= x <= 1000This field is for moderation configuration.
Show child attributes
Show child attributes
Response
Video Streaming setting check configuration
Response for video streaming setting
This field is for enabling or disabling the video streaming feature.
URL of the custom slate image shown while a stream is not live. null clears it and falls back to the default slate.
Client directive for showing the live viewer count. always shows it, hidden never shows it, above-minimum shows it only when the viewer count reaches viewerCountDisplayMinimum. Not enforced by the backend.
always, hidden, above-minimum Inclusive threshold used with viewerCountDisplayMode: above-minimum; clients display the count when viewers >= this value.
1 <= x <= 1000This field is for moderation configuration.
Show child attributes
Show child attributes